Bug 191651 - No Device for ISA Soundcard csc4235 using snd-cs4236
No Device for ISA Soundcard csc4235 using snd-cs4236
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
: 188524 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-14 12:16 EDT by Daryl Hochhalter
Modified: 2008-02-22 05:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 05:39:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryl Hochhalter 2006-05-14 12:16:01 EDT
Description of problem:
I've got a problem with crystal cs4235 card and snd-cs4236 driver which
is an installed module with all dependencies in kernel 2.6.15-1 fresh install FC5.
When I run system-config-soundcard, I get the driver and card shoing in the
dialog, but no pcm device. I have isapnp and /sys/devices/pnp0 so the system
knows the card is there. I have tried various setting in modprobe.conf and get
wrong card index 0.... in the scsound.log. Along with soundcard.py:273
deprecationWarning: use gtk.combobox
soundcard.py:308: GtkDeprecationWarning gtk.timeout_add, use gobject.timeout
soundcard.py:548: GtkDeprecationWarning: gtk.TRUE, use True instead gtk.main()
ALSA lib pcm_hw.c:1305: (_snd_pcm_hw_open)Invalid value for card
aplay: main:547: audio open error: No such device
Read config:
card 0
device 0
HW 0

Also, I've had problems with modprobe snd-cs4236 index=0
error messages along the chain saying that there is an invalid symbol in the
module starting with snd.ko
a dry run works fine, but when it actually tries to add the required modules to
the kernel, I get:
insmod snd-page-alloc.ko & insmod soundcore.ko,
but errors start at:
insmod snd.ko (error inserting snd (path) Input/Output error. Then bad
symbol
errors in the rest of the insmod trace. 

Also, I've noticed that the system-config-soundcard dialog returns warning like:
can't open device for writing. 
There is never an /asound/ in /proc and proc has permissions set to ro. 
I look in /etc/makedev.d and find devices are listed in the alsa file
but never show up in /dev. I believe they are created in hidden mode but have no
idea how one could access these devices if they are actually being created, or
when they are created. It seems all too complicated for just a simple soundcard
install?



Version-Release number of selected component (if applicable):
FC5 fresh install

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2.
3.
  
Actual results:
Alsa can't install sound card.

Expected results:
Alsa would recognize and install devices for soundcard

Additional info:

This was originally reported as a Udev bug under 188524 with comments about a SB
64 ISA. The only thing listed under /sys/ is device pnp0 which is the sound
card. The System-Config-Soundcard dialog detects the crystal card CSC0000 using
snd-cs4236, but no pcm devices. I've noticed that /etc/asound.state is showing
device CSC4235. Modinfo snd-cs4236 indicates alias names for CSC0000, CSC4235,
CSC4236, and others within the module. It seems to me that somewhere along the
line the system is confused by ISA Pnp devices, even though the kernel is
configured with this option.
Comment 1 Andre Robatino 2006-05-15 03:03:58 EDT
  This looks like a duplicate of bug #178998.  Try adding the line

/sbin/modprobe snd-card-0

to /etc/rc.local.
Comment 2 Piergiorgio Sartor 2006-05-28 11:40:31 EDT
(In reply to comment #1)
>   This looks like a duplicate of bug #178998.  Try adding the line
> 
> /sbin/modprobe snd-card-0
> 
> to /etc/rc.local.

Yeah, but while this solves the problem is not a solution.
I mean, up to FC4 there was the module loading in the initscripts,
which was doing exactly what you suggest.
Then the system was changed to use only udev, and now something is
missing...
I know I can modprobe everything, but this is not the point, in
one way or the other the modules should be loaded automatically.

For example, an alternative is to create the proper devices (like
"dsp" and/or "mixer") in /etc/udev/devices. These will be copied
in /dev (at boot) and, as soon as someone will try to open one of
them, the module(s) will be loaded (with proper /etc/modprobe.conf,
eventually).

Which, in my opinion, is a by far better solution (in general, even
better than udev itself), since if some device is not used, then the
module(s) is(are) not loaded and some (kernel) memory is left for
other usage.

So, eventually, the devices in /etc/udev/devices could be created by
some configuration script.
Comment 3 Daryl Hochhalter 2006-06-04 12:43:10 EDT
Yes comment 2 sounds good.
I can do the modprobe snd-card-0 and get sound, I suppose the addition to the
rc.local will make that permanent.

 The question is are there really allot of users who don't want the soundcard
installed? Is there something that can be done in system-config-soundcard or
ainit to make the config permanent? Also, I've noticed that in my case isa/pnp
card, the crystal card id is cs4235 and the generated etc/asound.state indicates
state.cs4235, is there a problem with the alias snd-card-0 snd-cs4236?
Comment 4 Daryl Hochhalter 2006-06-06 08:30:14 EDT
Another thing that I've noticed is that the system-config-soundcard scripts
(python), check the proc/asound/modules for driver info, but that directory
isn't there until you do a manual modprobe. Right now I added a script to
etc/sysconfig/modules that simply does the modprobe for snd-cs4236. It worked
once and I had sound, then comes back and tells me Alsa resources are busy.
Comment 5 Daryl Hochhalter 2006-06-06 08:51:09 EDT
update:

if I take away all options and install statements in the auto generated
modprobe.conf, leaving only alias snd-card-0 snd-cs4236 and add the 'modprobe
cs4236' to either the /etc/rc.d/rc.local or
/etc/sysconfig/modules/alsa-snd.module then it seems to work, although the
valume is muted to start, which makes it impossible to get logon sounds if you
have them set. I believe the python scripts for system-config-soundcard need
some work, and plan to look at them sometime.
Comment 6 Dave Jones 2006-10-16 14:14:20 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Piergiorgio Sartor 2006-10-17 12:51:04 EDT
I just tested the new kernel today and, as before, the proper modules for the
soundcard are not loaded by udev.
Comment 8 Dave Jones 2006-11-07 01:10:48 EST
For ISA devices, there will have to be some manual set up, as they cannot be
safely probed.

Maybe system-config-soundcard should offer a list of possible ISA cards that may
be present, and allow the user to pick from them, but whatever the case, the
kernel driver is there, and functional, so this is not a kernel bug.
Comment 9 Piergiorgio Sartor 2008-02-19 05:18:34 EST
(In reply to comment #8)
> For ISA devices, there will have to be some manual set up, as they cannot be
> safely probed.
> 
> Maybe system-config-soundcard should offer a list of possible ISA cards that may
> be present, and allow the user to pick from them, but whatever the case, the
> kernel driver is there, and functional, so this is not a kernel bug.

How is with this story?

Should the bug be closed?
Re-assigned to different component or person?

Is there any work at all in the system-config-soundcard direction?

Is the "NEEDINFO" status correct?

Thanks!

pg
Comment 10 Martin Stransky 2008-02-19 05:31:14 EST
Feel free to create a patch for this functionality to system-config-soundcard
and i'll merge it. But i'm afraid this bug is dead and i'm not going to fix it.
Comment 11 Piergiorgio Sartor 2008-02-19 07:49:54 EST
(In reply to comment #10)
> Feel free to create a patch for this functionality to system-config-soundcard
> and i'll merge it. But i'm afraid this bug is dead and i'm not going to fix it.

Uh?
And who is going to fix it, then? :-)

First of all, the system-config-soundcar suggestion is from Dave Jones, which
claims it is not possible to solve it in kernel space.

On the other hand, the proper modules need to be loaded, or not?
How? By mean of rc.local?

If it is not system-config-soundcard, it could be something else, but somewhere
it has to be done.
At least an howto, with an "official" way for this kind of setups.

Another option could be to drop the ISA bus as such, thus making everything
obsolete and close this bug (or the ISA bus sound cards).

BTW, just one final question: why the bug is still open?
I mean, if really there will be no fix, just close it...

pg
Comment 12 Martin Stransky 2008-02-19 09:54:47 EST
Yes, this bug can be closed as WONTFIX. Drivers for all ISA cards have to be
loaded manually.
Comment 13 Martin Stransky 2008-02-19 09:56:54 EST
*** Bug 188524 has been marked as a duplicate of this bug. ***
Comment 14 Piergiorgio Sartor 2008-02-19 10:25:29 EST
(In reply to comment #12)
> Yes, this bug can be closed as WONTFIX. Drivers for all ISA cards have to be
> loaded manually.

Uhm, I'm not sure, but I suspect you've to close it, since it belongs to you... :-)

Thanks!

pg

Comment 15 Martin Stransky 2008-02-22 05:39:21 EST
Unfortunately s-c-s was removed from F9 and it's not going to be developed more.
Closing as wontfix.

Note You need to log in before you can comment on or make changes to this bug.